
<?php include"header.php"?>
<?php include"nav.php"?>
 
 <style>
      
        h1 {
            margin-bottom: 20px;
        }

        form {
            display: flex;
            flex-wrap: wrap;
            gap: 10px;
            margin-bottom: 20px;
        }

        .form-group {
            flex: 0 0 100%;
            max-width: 100%;
            margin-bottom: 10px;
        }

        .form-group.inline {
            flex: 0 0 calc(50% - 5px);
            max-width: calc(50% - 5px);
        }

        label {
            margin-right: 10px;
            line-height: 34px;
        }

        #yearInput {
            width: 100%;
        }


        #calendarContainer {
            display: flex;
            flex-wrap: wrap;
            gap: 20px;
            margin-top: 20px;
        }

        .calendar-month {
            flex: 1;
            display: flex; /* Added this property */
            flex-direction: column; /* Added this property */
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        th, td {
            border: 1px solid #ccc;
            text-align: center;
            padding: 5px;
        }

        th {
            background-color: #f0f0f0;
        }

        tr:nth-child(even) td {
            background-color: #f9f9f9;
        }

        /* Media Query for Mobile */
        @media (max-width: 992px) {
            .calendar-month {
                flex: 0 0 100%;
            }
        }
    </style>
  
  
<div class="container" style="background: rgb(255 255 255 / 90%);padding: 18px;">
    <div class="col-md-8 mx-auto">
        
    <div class="row">
       <form id="calendarForm">
            <div class="form-group inline">
                <label for="yearInput">Enter the year:</label>
                <input type="number" id="yearInput" class="form-control" min="1900" max="9999" required>
            </div>
            <div class="form-group inline">
                <label for="weekStartDay">Select the week start day:</label>
                <select id="weekStartDay" class="form-control">
                    <option value="0">Sunday</option>
                    <option value="1">Monday</option>
                    <option value="2">Tuesday</option>
                    <option value="3">Wednesday</option>
                    <option value="4">Thursday</option>
                    <option value="5">Friday</option>
                    <option value="6">Saturday</option>
                </select>
            </div>
            <button type="submit" class="btn btn-success submit_button">Generate Calendar</button>
        </form>
        <div id="calendarContainer">
            <!-- The generated calendar will be displayed here -->
            
        </div>
        
             
                    </div> </div>
</div></div>


    </div>
 <?php include"more_tools.php"?>
  
</div>
</div>

 </div>
    </div>
  </div>

    </div>
 

  <div class="container" id="faq">
  <?php include"mostafa-content.php"?>
</div>
<?php include"footer.php"?>


    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    

<script src="calendar-generator.js"></script>
</body>
</html>
