
<?php include"header.php"?>
<?php include"nav.php"?>
 
<style>
    input {
        margin-bottom:10px;
    }
    .error-message {
        color:red;
    }

    .seo-card {
        margin-top: 20px;
    }

    .good-status {
        color: green;
    }

    .bad-status {
        color: red;
    }

    .overall-score {
        font-size: 24px;
        margin-top: 20px;
    }

    .progress-bar {
        width: 200px;
        height: 20px;
        background-color: #ccc;
        border-radius: 10px;
        margin-top: 10px;
    }

    .progress {
        height: 100%;
        background-color: #4caf50;
        border-radius: 10px;
    }

    .red {
        background-color: #FF0000;
    }

    .light-orange {
        background-color: #FFA500;
    }

    .orange {
        background-color: #FF8C00;
    }

    .light-orange-and-green {
        background: linear-gradient(90deg, #FFA500, #008000);
    }

    .green {
        background-color: #008000;
    }
</style>

<div class="container" style="background: rgb(255 255 255 / 90%);padding: 18px;">
    <div class="col-md-6 mx-auto">
           <h2 style="text-align: center;">SEO Analysis Tool</h2>
        <!-- <p style="text-align: center;">An SEO Analysis Tool assesses and optimizes websites for improved search engine visibility and performance.</p> -->
    <div class="row">
        <div class="textarea-container">
      
            <form id="seo-form">
        <label for="domain">Enter Domain Url:</label>
        <input class="form-control" type="text" id="url" name="url" placeholder="for eg. example.com" required>
        <button class="btn btn-success submit_button" type="submit">Get Report</button>
    </form>
   
        <div id="results">
                 </div>
</div></div>


    </div>
 <?php include"more_tools.php"?>
  
</div>
</div>

 </div>
    </div>
  </div>

    </div>
 

  <div class="container" id="faq">
  <?php include"mostafa-content.php"?>
</div>
<?php include"footer.php"?>


    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <!-- Bootstrap tooltips -->
    <script>
        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'));
        var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
            return new bootstrap.Tooltip(tooltipTriggerEl);
        });
    </script>

 <script>
    document.addEventListener("DOMContentLoaded", function () {
        const form = document.getElementById("seo-form");
        const resultsDiv = document.getElementById("results");

        form.addEventListener("submit", function (e) {
            e.preventDefault();
            let url = document.getElementById("url").value;

            // Preprocess the input URL
            if (!url.startsWith("http://") && !url.startsWith("https://")) {
                url = "http://" + url;
            }

            // Send the URL to the PHP script for analysis
            fetch("classes/seo-analysis-report.php", {
                method: "POST",
                body: new URLSearchParams({ url: url }),
                headers: {
                    "Content-Type": "application/x-www-form-urlencoded",
                },
            })
                .then((response) => response.text())
                .then((data) => {
                    // Display the analysis results in the resultsDiv
                    resultsDiv.innerHTML = data;
                })
                .catch((error) => {
                    console.error("Error:", error);
                });
        });
    });
</script>


</body>
</html>
