
<?php include"header.php"?>
<?php include"nav.php"?>
 
<style>
    input {
        margin-bottom:10px;
    }
    .result_txt_ip {
        color:red;
        font-weight:bold;
        font-size:18px;
    }
    
    .result_txt_other {
        color:green;
        font-weight:bold;
        font-size:15px;
    }
</style>

    <?php
   function getLocationData() {
        $ip = $_SERVER['REMOTE_ADDR'];
        $locationData = file_get_contents("http://ip-api.com/json/{$ip}");
        return json_decode($locationData, true);
    }


$locationData = getLocationData();


$countryCode = $locationData['countryCode'];


$flagImageUrl = "https://flagpedia.net/data/flags/h24/" . strtolower($countryCode) . ".png";

   
    $dialCodesData = json_decode(file_get_contents("http://country.io/phone.json"), true);

    
    $dialCode = isset($dialCodesData[$countryCode]) ? '+' . $dialCodesData[$countryCode] : 'Unknown';




function getLocationData2() {
    $ip = $_SERVER['REMOTE_ADDR'];
    $locationData2 = file_get_contents("http://ip-api.com/json/{$ip}");
    return json_decode($locationData2, true);
}


$locationData2 = getLocationData2();


// Add your OpenWeatherMap API key here
$apiKey = 'CHANGE_API_HERE';
$lat = $locationData2['lat'];
$lon = $locationData2['lon'];
$weatherData = json_decode(file_get_contents("https://api.openweathermap.org/data/2.5/weather?lat=$lat&lon=$lon&appid=$apiKey&units=metric"), true);
$weatherDescription = isset($weatherData['weather'][0]['description']) ? $weatherData['weather'][0]['description'] : 'Unknown';
$temperatureCelsius = isset($weatherData['main']['temp']) ? $weatherData['main']['temp'] : 'Unknown';


?>
<div class="container" style="background: rgb(255 255 255 / 90%);padding: 18px;">
    <div class="col-md-8 mx-auto">
           <h2 style="text-align: center;">What is my IP Location</h2>
        <!-- <p style="text-align: center;">The service provides information based on your ip location, such as your city, region, country, and weather information.</p> -->
    <div class="row">
           <p>Your IP Address: <span id="ip-address" class="result_txt_ip">Loading...</span></p>
        <p>Your Location: <span id="location" class="result_txt_other">Loading...</span></p>
        <p>Your Network Company: <span id="network-company" class="result_txt_other">Loading...</span></p>
        <p>Dial Code: <span  class="result_txt_other"><?php echo $dialCode; ?></span></p>
        <p>Your Network Country Flag: <span id="flag"><img src="<?php echo $flagImageUrl; ?>" alt="Country Flag" id="country-flag" style="max-width: 50px;">
        
        <p>Weather: <span  class="result_txt_other"><?php echo $weatherDescription; ?></span></p>
        <p>Temperature: <span  class="result_txt_other"><?php echo $temperatureCelsius; ?> °C</span></p>
</span></p>
    </div>
    <div id="map-container">
        <iframe class="position-relative rounded w-100 h-100"
            src="https://maps.google.co.in/maps?f=q&amp;source=s_q&amp;hl=en&amp;geocode=&amp;q=+<?php echo $locationData2['city'] . ', ' . $locationData2['region'] . ', ' . $locationData2['country']; ?>&amp;t=m&amp;z=13&amp;iwloc=A&amp;output=embed"
             frameborder="0" style="min-height: 300px; border:0;" allowfullscreen="" aria-hidden="false"
             tabindex="0"></iframe>
                    </div>
</div></div>


    </div>
 <?php include"more_tools.php"?>
  
</div>
</div>

 </div>
    </div>
  </div>

    </div>
 

  <div class="container" id="faq">
  <?php include"mostafa-content.php"?>
</div>
<?php include"footer.php"?>


    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <script>
        // Function to display the IP address, location, and network company information
        function displayIPAndLocation(ip, locationData) {
            document.getElementById("ip-address").textContent = ip;
            document.getElementById("location").textContent = locationData.city + ", " + locationData.region + ", " + locationData.country;
            document.getElementById("network-company").textContent = locationData.isp;
        }

        // Get IP address, location, and network company using PHP embedded data
        function getIPAndLocation() {
            const ip = "<?php echo $_SERVER['REMOTE_ADDR']; ?>";
            const locationData = <?php echo json_encode(getLocationData()); ?>;
            displayIPAndLocation(ip, locationData);
        }

        // Call the function to get IP address, location, and network company on page load
        window.onload = getIPAndLocation;

        // Function to fetch location data from the server
        function getLocationData() {
            // You can modify this function to use a different API if necessary
            const xhr = new XMLHttpRequest();
            xhr.open("GET", "what-is-my-ip-location.php", false);
            xhr.send(null);
            return JSON.parse(xhr.responseText);
        }
    </script>

</body>
</html>
