
<?php include"header.php"?>
<?php include"nav.php"?>

  <style>
    .domain-list {
      margin-top: 20px;
    }
    .domain-item {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 10px;
      border: 1px solid #ddd;
      border-radius: 5px;
      margin-bottom: 10px;
    }
    .whois-btn {
      background-color: #007bff;
      color: #fff;
      padding: 5px 10px;
      border-radius: 5px;
      text-decoration: none;
    }
    
    .register-btn {
      background-color: #28a745;
      color: #fff;
      padding: 5px 10px;
      border-radius: 5px;
      text-decoration: none;
    }
    .domain-availability-checkbox {
      margin-left: 10px;
    }
    
    .domain-availability {
  font-weight: bold;
  padding: 5px;
  border-radius: 5px;
}

.available {
  color: green;
}

.not-available {
  color: red;
}

    #progressBarContainer {
      width: 100%;
      height: 20px;
      background-color: #f1f1f1;
      border-radius: 5px;
      display: none;
    }
    #progressBar {
      height: 100%;
      background-color: #007bff;
      border-radius: 5px;
    }
    #loader {
      display: none;
    }
  
  .input-set {
      margin-top:10px;
  }
  </style>


  
 <div class="container" style="background: rgb(255 255 255 / 90%);padding: 18px;
">
    <div class="row">
      <div class="col-md-9 mx-auto">
         <!-- <h2 style="text-align: center;">Domain Name Generator and Availability Checker</h2>
        <p style="text-align: center;">Select a business category or enter a keyword. Click the button below to generate domain name suggestions.</p>
  -->


    <div class="form-group row">
      <label for="categorySelect" class="col-sm-2 col-form-label">Category:</label>
      <div class="col-sm-4">
        <select id="categorySelect" class="form-control"></select>
      </div>
      <label for="keywordInput" class="col-sm-2 col-form-label">Keyword:</label>
      <div class="col-sm-4">
        <input type="text" id="keywordInput" class="form-control " placeholder="Enter keyword (Optional for Category)">
      </div>
    </div>
    <div class="form-group row">
      <div class="offset-sm-2 col-sm-10">
        <button onclick="generateDomainNames()" class="btn btn-primary submit_button">Generate</button>
      </div>
    </div>
    <div class="form-group row">
      <label for="domainSelect" class="col-sm-2 col-form-label">Domain Extension:</label>
    <?php
// Sample domain extensions (replace this with your actual data)
$domainExtensions = ".com,.in,.org,.net,.co,.io,.app,.store,.online,.tech";

$extensionsArray = explode(",", $domainExtensions);

$firstIteration = true;
?>

<div class="col-sm-8">
  <div id="domainSelect" class="input-set">
    <?php foreach ($extensionsArray as $extension): ?>
      <label>
        <?php echo $extension; ?>
        <input type="checkbox" class="form-check-input" value="<?php echo $extension; ?>" <?php echo ($firstIteration ? 'checked' : ''); ?>>
      </label>
      <?php $firstIteration = false; ?>
    <?php endforeach; ?>
  </div>
</div>


    </div>
    <div class="form-group row">
      <label for="domainResult" class="col-sm-2 col-form-label">Result:</label>
      <div class="col-sm-10">
        <ul id="domainResult" class="list-unstyled domain-list"></ul>
      </div>
    </div>
    <div id="progressBarContainer">
      <div id="progressBar"></div>
    </div>
    <div id="loader" class="mt-3" style="display: none;">Processing...</div>
  </div>

 

        </div>
</div>
</div>
  <?php include"more_tools.php"?>
  
</div>
</div>

 </div>
    </div>
  </div>

    </div>
 

  <div class="container" id="faq">
  <?php include"mostafa-content.php"?>
</div>
<?php include"footer.php"?>
 
<script src="domain-name-generator.js"></script>
</body>
</html>
