
<?php include"header.php"?>
<?php include"nav.php"?>
 <style>
       
      
        .result-container {
            margin-top: 20px;
            text-align: left;
        }

        .code-container {
            display: none;
            position: relative;
        }

        .code-box {
            width: 100%;
            height: 200px;
            padding: 10px;
            overflow: auto;
            background-color: #f8f9fa;
            border: 1px solid #ced4da;
            border-radius: 5px;
        }

        .copy-button {
            position: absolute;
            top: 10px;
            right: 10px;
        }
    </style>

<div class="container" style="background: rgb(255 255 255 / 90%);padding: 18px;">
    <div class="col-md-6 mx-auto">
           <h2 style="text-align: center;">JS/CSS Minifier</h2>
        <!-- <p style="text-align: center;">The JS/CSS Minifier tool is designed to reduce the size of JavaScript (JS) and Cascading Style Sheets (CSS) code.</p> -->
   
        <form id="minifyForm">
            <div class="form-group">
                <label for="codeTextArea">Paste Your CSS or JS Code:</label>
                <textarea id="codeTextArea" name="code" rows="10" class="form-control"></textarea>
            </div>
            <div class="form-group">
                <label for="minifySelect">Minify Type:</label>
                <select id="minifySelect" name="minifyType" class="form-control">
                    <option value="js">JavaScript</option>
                    <option value="css">CSS</option>
                </select>
            </div>
            <button type="button"  class="btn btn-success submit_button" onclick="minifyCode()" >Minify</button>
        </form>
        <div id="resultContainer" class="result-container">
            <div class="code-container">
                <pre id="codeBox" class="code-box"></pre>
                <button  class="btn btn-primary copy-button"onclick="copyCode()">Copy</button>
            </div>
        </div>
    </div>  </div>
 <?php include"more_tools.php"?>
  
</div>
</div>

 </div>
    </div>
  </div>

    </div>
 

  <div class="container" id="faq">
  <?php include"mostafa-content.php"?>
</div>
<?php include"footer.php"?>


    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
   <script>
    function minifyCode() {
        var codeTextArea = document.getElementById("codeTextArea");
        var minifySelect = document.getElementById("minifySelect");
        var minifyType = minifySelect.value;
        var code = codeTextArea.value;

        var codeBox = document.getElementById("codeBox");
        codeBox.textContent = ""; // Clear previous result

        if (code.startsWith("http") || code.startsWith("https")) {
            fetchCodeFromURL(code, minifyType);
        } else {
            minify(code, minifyType);
        }
    }

    function fetchCodeFromURL(url, minifyType) {
        fetch(url)
            .then(function (response) {
                if (response.ok) {
                    return response.text();
                } else {
                    throw new Error("Failed to fetch code from URL.");
                }
            })
            .then(function (code) {
                minify(code, minifyType);
            })
            .catch(function (error) {
                var codeBox = document.getElementById("codeBox");
                codeBox.textContent = "Error: " + error.message;
            });
    }

    function minify(code, minifyType) {
        var codeBox = document.getElementById("codeBox");
        codeBox.textContent = ""; // Clear previous result

        try {
            if (minifyType === "js") {
                var minifiedCode = uglify(code);
                codeBox.textContent = minifiedCode;
            } else if (minifyType === "css") {
                var minifiedCode = cssMinify(code);
                codeBox.textContent = minifiedCode;
            } else {
                codeBox.textContent = "Invalid minify type.";
            }

            var codeContainer = document.querySelector(".code-container");
            codeContainer.style.display = "block";
        } catch (error) {
            codeBox.textContent = "Error: " + error.message;
        }
    }

    function uglify(code) {
        var minifiedCode = code.replace(/\/\/.*|\/\*[^]*?\*\/|\n|\t/g, "");
        return minifiedCode;
    }

    function cssMinify(code) {
        var minifiedCode = code.replace(/\s+/g, " ").replace(/\/\*[^]*?\*\//g, "").replace(/:\s/g, ":").replace(/\s;/g, ";");
        return minifiedCode;
    }

    function copyCode() {
        var codeBox = document.getElementById("codeBox");
        var code = codeBox.textContent;

        var tempTextarea = document.createElement("textarea");
        tempTextarea.value = code;
        document.body.appendChild(tempTextarea);
        tempTextarea.select();
        document.execCommand("copy");
        document.body.removeChild(tempTextarea);

        alert("Code copied to clipboard!");
    }
</script>

</body>
</html>
